#!/bin/bash -l

# RUNDIR=/home/gpadmin/gpmadlib
RUNDIR=../gpmadlib

# BINDIR=/home/gpadmin/bin
BINDIR=../bin

source dbcheck.sh

if [ ! -d $RUNDIR ]; then
  tar -C ~ -xzf ~/bin/gpquery.tgz
fi

cd $RUNDIR

./madcheck.sh

$BINDIR/execute-window.sh "echo" "Running MADlib demo" "This demo will run MADlib methods examples."

# ./execute-window.sh "./reload.sh" "Data is now created, loaded and optimizer statistics computed"

$BINDIR/execute-window.sh "./madlib.sh" "MADlib examples have finished."

$BINDIR/execute-window.sh "echo" "Finished running MADlib demo" "The programs and data for the demo are located in $RUNDIR" "You also now have data in a database named \'gpmldemo\'" "You can access this data using the command line client like this\: psql -d gpmldemo" "User documentation for MADlib methods can be found at http://doc.madlib.net"

